{
  "baseUrl": "/api/v1/menu",
  "endpoints": {
    "MenuBannerView": {
      "method": "GET",
      "url": "/banner/list",
      "dataPath": "data.data",
      "paramFormat": "query"
    },
    "MenuBannerDetailView": {
      "method": "GET",
      "url": "/banner/detail/:id",
      "dataPath": "data.data",
      "paramFormat": "query",
      "paramMapping": ["id"]
    },
    "MenuBannerSingleRegist": {
      "method": "POST",
      "url": "/banner",
      "dataPath": "data",
      "paramFormat": "body"
    },
    "MenuBannerModify": {
      "method": "PUT",
      "url": "/banner/:id",
      "dataPath": "data",
      "paramFormat": "body"
    },
    "MenuBannerDelete": {
      "method": "DELETE",
      "url": "/banner/delete",
      "dataPath": "data",
      "paramFormat": "body"
    },
    "MenuImageUpload": {
      "method": "POST",
      "url": "/image-upload",
      "dataPath": "data",
      "paramFormat": "body"
    },
    "MenuImageDelete": {
      "method": "DELETE",
      "url": "/image-delete",
      "dataPath": "data",
      "paramFormat": "body"
    }
  }
}